javax.xml.registry

## Interface RegistryService

-     public interface RegistryService

  This is the principal interface implemented by a JAXR provider. A registry client can get this interface from a Connection to a registry. It provides the methods that are used by the client to discover various capability specific interfaces implemented by the JAXR provider.
  Author:
    Farrukh S. Najmi
  See Also:
    `Connection`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BulkResponse` | `getBulkResponse(String requestId)` Returns the BulkResponse associated with specified requestId.
    `BusinessLifeCycleManager` | `getBusinessLifeCycleManager()` Returns the BusinessLifeCycleManager object implemented by the JAXR provider.
    `BusinessQueryManager` | `getBusinessQueryManager()` Returns the BusinessQueryManager object implemented by the JAXR provider.
    `CapabilityProfile` | `getCapabilityProfile()` Returns the CapabilityProfile for the JAXR provider.
    `DeclarativeQueryManager` | `getDeclarativeQueryManager()` Returns the DeclarativeQueryManager object implemented by the JAXR provider.
    `ClassificationScheme` | `getDefaultPostalScheme()` Gets the default user-defined postal scheme for codifying the attributes of PostalAddress.
    `String` | `makeRegistrySpecificRequest(String request)` Takes a String that is an XML request in a registry-specific format, sends the request to the registry, and returns a String that is the registry-specific XML response.

- - ### Method Detail

    - #### getCapabilityProfile

          CapabilityProfile getCapabilityProfile()
                                                 throws JAXRException

      Returns the CapabilityProfile for the JAXR provider.

      Capability Level: 0
      Returns:
        the CapabilityProfile for a JAXR provider
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error
      See Also:
        `LifeCycleManager`

    - #### getBusinessLifeCycleManager

          BusinessLifeCycleManager getBusinessLifeCycleManager()
                                                               throws JAXRException

      Returns the BusinessLifeCycleManager object implemented by the JAXR provider.

      Capability Level: 0
      Returns:
        the BusinessLifeCycleManager
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error
      See Also:
        `LifeCycleManager`

    - #### getBusinessQueryManager

          BusinessQueryManager getBusinessQueryManager()
                                                       throws JAXRException

      Returns the BusinessQueryManager object implemented by the JAXR provider.

      Capability Level: 0
      Returns:
        the BusinessQueryManaer
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### getDeclarativeQueryManager

          DeclarativeQueryManager getDeclarativeQueryManager()
                                                             throws JAXRException,
                                                                    UnsupportedCapabilityException

      Returns the DeclarativeQueryManager object implemented by the JAXR provider.

      Capability Level: 1
      Returns:
        the DeclarativeQueryManager
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error
        `UnsupportedCapabilityException`

    - #### getBulkResponse

          BulkResponse getBulkResponse(String requestId)
                                       throws InvalidRequestException,
                                              JAXRException

      Returns the BulkResponse associated with specified requestId. Once a client retrieves a BulkResponse for a particular requestId any subsequent calls to retrieve the Bulkresponse for the same requestId should result in an InvalidRequestException.

      Capability Level: 0
      Parameters:
        `requestId` - the id for a previous asynchronous request
      Returns:
        the BulkResponse that contains the result for the specified request
      Throws:
        `InvalidRequestException` - if no responses exist for specified requestId
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### getDefaultPostalScheme

          ClassificationScheme getDefaultPostalScheme()
                                                      throws JAXRException

      Gets the default user-defined postal scheme for codifying the attributes of PostalAddress.

      Capability Level: 0
      Returns:
        the ClassificationScheme that is the default postal scheme
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### makeRegistrySpecificRequest

          String makeRegistrySpecificRequest(String request)
                                             throws JAXRException

      Takes a String that is an XML request in a registry-specific format, sends the request to the registry, and returns a String that is the registry-specific XML response.

      Capability Level: 0
      Parameters:
        `request` - the registry-specific request in a String representation
      Returns:
        the String that is the XML response in a registry-specific manner
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.